database_api.list_vesting_delegations
since HF17
Purpose
베스팅 위임 (vesting delegation) 목록을 반환합니다. 파라미터: start:array, limit:int, order:string
limit는 최대 1000입니다.order는 다음 중 하나:by_delegation- 위임 순start는delegator,delegatee두 값으로 이루어진 배열입니다
start (array) | limit (int) | order (string) | |
|---|---|---|---|
["", ""] | 10 | by_delegation | 위임을, 결과 10개로 제한하고 위임 순으로 정렬하여 조회합니다. |
함께 보기: Paginated API Methods
Parameters
PARAMETERS
json
{
"start": null,
"limit": 0,
"order": "by_name"
}Example
BASH
bash
curl -s https://api.steemit.com \
-H 'Content-Type: application/json' \
--data-binary '{
"jsonrpc": "2.0",
"method": "database_api.list_vesting_delegations",
"params": {
"start": [
"",
""
],
"limit": 10,
"order": "by_delegation"
},
"id": 1
}'Response
RESPONSE
json
{
"delegations": [
{
"id": 554317,
"delegator": "a-0-0-0",
"delegatee": "a-0-0",
"vesting_shares": {
"amount": "6141067173",
"precision": 6,
"nai": "@@000000037"
},
"min_delegation_time": "2018-01-24T22:23:54"
}
]
}